
QGIS Application - Bug report #13545

inverted polygon renderer call broken in Master

2015-10-08 05:13 AM - Regis Haubourg

Status: Closed

Priority: Severe/Regression

Assignee: Nyall Dawson

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21587

Description

Hi, 

on nightly 3dcabf, mask plugin is broken by a change in API, was fine in 2.10. See stack trace involving invertedPolygonRenderer.

Traceback (most recent call last):

              File "\\\

as02\\groupe\

efgeo\\Espace_Correspondants_SIG\\Astuces_Outils\\QGISMASTER_PLUGINS\\mask\\aeag_mask.py", line 465, in run

                r = dlg.exec_()

              File "\\\

as02\\groupe\

efgeo\\Espace_Correspondants_SIG\\Astuces_Outils\\QGISMASTER_PLUGINS\\mask\\maindialog.py", line 223, in exec_

                self.update_ui_from_parameters( self.parameters )

              File "\\\

as02\\groupe\

efgeo\\Espace_Correspondants_SIG\\Astuces_Outils\\QGISMASTER_PLUGINS\\mask\\maindialog.py", line 81, in

update_ui_from_parameters

                self.update_style_from_parameters( parameters )

              File "\\\

as02\\groupe\

efgeo\\Espace_Correspondants_SIG\\Astuces_Outils\\QGISMASTER_PLUGINS\\mask\\maindialog.py", line 75, in

update_style_from_parameters

                self.update_style_preview( self.parameters.layer )

              File "\\\

as02\\groupe\

efgeo\\Espace_Correspondants_SIG\\Astuces_Outils\\QGISMASTER_PLUGINS\\mask\\maindialog.py", line 210, in

update_style_preview

                syms = layer.rendererV2().symbols()

            TypeError: QgsInvertedPolygonRenderer.symbols(QgsRenderContext): not enough arguments

Associated revisions

Revision 3520f038 - 2015-10-08 02:47 PM - Nyall Dawson

Fix missing sip bindings for renderers (fix #13545)

Revision f9559003 - 2015-10-12 12:56 PM - Nyall Dawson
Really fix #13545

I'm not sure what sip voodoo is preventing the bindings from

calling methods in the base class, so for QGIS <3.0 I've aliased

all the new signatures and will rename them back for 3.0

History

#1 - 2015-10-08 05:13 AM - Regis Haubourg

- Assignee set to Nyall Dawson

Nyall, I saw recent commits from you in https://github.com/qgis/QGIS/commits/master/src/core/symbology-ng/qgsinvertedpolygonrenderer.cpp. Any idea?

Régis

#2 - 2015-10-08 05:50 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"3520f038ddb2bea1a52afe98dcb16119a5fdf617".

#3 - 2015-10-08 07:06 AM - Regis Haubourg

thanks!

#4 - 2015-10-12 02:03 AM - Regis Haubourg

- Status changed from Closed to Reopened

Hi Nyall, 

I still have an error in 15af5a1 nightly.

My test case if you need to reproduce it: 

- install mask plugin

- select a polygon 

- launch mask on it. 

Cheers

Régis

2015-10-12T10:59:00 1 Traceback (most recent call last):

File "\\\

as02\\groupe\

efgeo\\Espace_Correspondants_SIG\\Astuces_Outils\\QGISMASTER_PLUGINS\\mask\\aeag_mask.py", line 465, in run

r = dlg.exec_()

File "\\\

as02\\groupe\

efgeo\\Espace_Correspondants_SIG\\Astuces_Outils\\QGISMASTER_PLUGINS\\mask\\maindialog.py", line 223, in exec_

self.update_ui_from_parameters( self.parameters )

File "\\\
https://github.com/qgis/QGIS/commits/master/src/core/symbology-ng/qgsinvertedpolygonrenderer.cpp


as02\\groupe\

efgeo\\Espace_Correspondants_SIG\\Astuces_Outils\\QGISMASTER_PLUGINS\\mask\\maindialog.py", line 81, in update_ui_from_parameters

self.update_style_from_parameters( parameters )

File "\\\

as02\\groupe\

efgeo\\Espace_Correspondants_SIG\\Astuces_Outils\\QGISMASTER_PLUGINS\\mask\\maindialog.py", line 75, in

update_style_from_parameters

self.update_style_preview( self.parameters.layer )

File "\\\

as02\\groupe\

efgeo\\Espace_Correspondants_SIG\\Astuces_Outils\\QGISMASTER_PLUGINS\\mask\\maindialog.py", line 210, in update_style_preview

syms = layer.rendererV2().symbols()

TypeError: QgsInvertedPolygonRenderer.symbols(QgsRenderContext): not enough arguments

#5 - 2015-10-12 03:56 AM - Nyall Dawson

- Status changed from Reopened to Closed

Fixed in changeset commit:"f9559003d441459d2d43e8b91990aa58984607d8".
